@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');

* {
  font-family: "Poppins", sans-serif;
  padding: 0;
  margin: 0;
  /* background-color: #f3f3f3; */
}

body {
  padding: 0;
}

.container {
  /* width: 1000px; */
  margin: auto;
  /* margin-top: 5px; */
  /* margin-bottom: 50px; */
  padding-left: 0;
  padding-right: 0;
  max-width: 100% !important;
  line-height: 24px;
  font-size: 16px;
  font-weight: 400;
  font-family: "Poppins", sans-serif;
}
.container .titles {
  margin-bottom: 15px;
  /* font-family: "Poppins", sans-serif;
  font-size: 40px; */
  background-color: #383834 !important;
  z-index: 1;
  margin-top: -20px;
}

.title p {
  font-family: "Poppins", sans-serif;
  font-size: 16px !important;

  line-height: normal !important;
}
.container .titles h2 {
  /* font-family: Bentham; */
  font-family: "Poppins", sans-serif;
  font-size: 40px;
  font-weight: bold;
}

.container .hidden-informations {
  padding: 20px;
  font-size: 18px;
  letter-spacing: 1px;
  line-height: 24px;
}
.container .hidden-informations p {
  margin-bottom: 10px;
}

/* Sub-Container */
.container .sub-container {
  display: grid;
  grid-template-columns: 1fr 2fr;
  /* border: 1px solid #c7c7c7; */
  height: 90vh;
  grid-gap: 15px;
}

/* Form */
.form {
  /* grid-column: 1/2; */
  /* background: #ff000ab0; */
  /* overflow-x: scroll; */
  overflow-y: scroll;
  /* height: max-auto; */
  border-radius: 20px;
  height: 830px;
}
form {
  /* color: #fff; */
  line-height: 24px;
  font-size: 16px;
  font-weight: 400;

  padding: 8px 16px 8px 8px;
  /* padding: 30px; */
}
form > div {
  /* background-color: #ff000ab0; */
  /* border: 1px solid #d8d9da; */
  padding: 15px 10px;
  margin-bottom: 10px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0,0,0,.07);
}
.form .info-1 {
  line-height: 24px;
  font-size: 16px;
  font-weight: 400;
  /* box-shadow: 0 0 10px rgba(0,0,0,.07); */
  margin-bottom: 10px;
}

.form .info-1 .input-div {
  display: inline-block;
  padding-bottom: 8px;
}
.form .info-1 input {
  width: 100px;
  outline: none;
  border: 1px solid #cfcfcf;
  border-radius: 6px;
  text-align: center;
  line-height: 24px;
  font-size: 16px;
  font-weight: 400;

  /* background-color: #4b4b47;
  color: #fff; */
}
.form .info-1 .input-div:first-child input {
  width: 40px;
}

/* Remove up down spin button */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type="number"] {
  -moz-appearance: textfield;
}
form h5 {
  margin-bottom: 10px;
  line-height: 24px !important;
  font-size: 16px !important;
  font-weight: 400;
}
form .button-input {
  display: grid;
  grid-template-columns: 45px 150px 45px;
  justify-content: center;
  margin-top: 10px;
  margin-bottom: 10px;
}
form input {
  color: #292929;
}

form .button-input input {
  height: 30px;
  border: 1px solid #b1b3b5;
  outline: none;
  border-left: none;
  border-right: none;
  padding: 5px 10px;
  font-size: 18px;
  text-align: center;
}
form .button-input .decrement,
form .button-input .increment {
  display: inherit;
}
form .button-input button {
  color: #212121;
  background-color: white;
  border: 1px solid #b1b3b5;
  cursor: pointer;
}
.buttonright {
  border-radius: 0px 7px 7px 0px;
}
.borderleft {
  border-radius: 7px 0px 0px 7px;
}
.info-2 small {
  display: block;
  margin-left: 18px;
  margin-top: 6px;
  line-height: 24px;
  font-size: 16px;
  font-weight: 400;

  color: #383838;
}
.info-2 .hidden {
  display: none;
}

form .info-3 .info-3-part1 h4,
form .info-3 .info-3-part1 button {
  display: inline-block;
}
form .info-3 .info-3-part1 button {
  float: right;
  background-color: white;
  border: none;
  outline: none;
  line-height: 24px;
  font-size: 16px;
  font-weight: 400;
  cursor: pointer;
}
form .info-3 .info-3-part2 {
  margin-top: 20px;
  display: block;
}

form .info-3 .info-3-part2.hidden {
  margin-top: 0px;
  /* display: none; */
}

form .info-3 .info-3-part2 > div {
  margin-bottom: 20px;
}
form .info-3 .info-3-part2 > div:last-child {
  margin-bottom: 0px;
}

/* Output */
.sub-container .output {
  /* grid-column: 2/-1; */
  /* margin-left: 20px; */
  height: 90vh;
  display: grid;
  grid-template-rows: 1fr 1fr;

  padding: 10px 10px 10px;
}

.output hr {
  border-top: 1px solid #c7c7c7;
  width: 95%;
  margin: auto;
}
.output .title h3 {
  color: #212121;
  margin-top: 20px;
  text-align: center;
  line-height: 24px;
  font-size: 16px;
  font-weight: 700 important!;
}

/* verticale-progress */
.verticale-progress .title {
  margin-bottom: 20px;
}
.output .haveNeed p {
  font-size: 18px;
  text-align: center;
  letter-spacing: 1px;
  padding: 10px 0px;
}
.output .have-amount,
.output .need-amount {
  text-align: center;
  background-color: white;
  font-size: 24px;
  font-weight: bold;
}
.output .haveNeed {
  margin: auto;

  display: grid;
  grid-template-columns: 130px 130px;
  grid-gap: 30px;
  justify-content: center;
  align-items: end;
}

.output .have,
.output .need {
  margin-top: 20px;
  font-weight: bold;
  
}
.output .have-bar,
.output .need-bar {
  height: 140px;
  /* height: 200px; */
}
/*  */
.output .have-bar {
  /* border: 1px solid red; */
  background-color: #fc6f56;
  position: relative;
}
.output .sub-have-bar {
  background-color: white;
  transition: height 0.5s;

  height: 45%;
}
.output .have-amount {
  position: absolute;
  width: 100%;
  background-color: transparent;
  font-size: 18px;
  transition: top 0.5s;

  top: -2%;
}
/*  */
.output .need-bar {
  /* border: 1px solid red; */
  background-color: rgb(143, 216, 50);
  position: relative;
}

.output .sub-need-bar {
  background-color: white;
  transition: height 0.5s;

  height: 0%;
}
.output .need-amount {
  position: absolute;
  width: 100%;
  background-color: transparent;
  font-size: 18px;

  transition: top 0.5s;

  top: -20%;
}

/* horizontal-progress */
.output .hidden {
  display: none;
}
.output .horizontal-progress h3 {
  margin: 10px 0px;
}
.horizontal-progress .score-bars {
  width: 95%;
  margin: auto;
  position: relative;
  line-height: 24px;
  font-size: 16px;
  font-weight: 400;
}
.horizontal-progress .move {
  margin: 8px 0px;
  text-align: center;
  font-size: 18px;
  color: #232323;

  padding: 5px 0px;
  width: 100%;
  display: flex;
}

.horizontal-progress .move .space {
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: calc(20.727% - 12px);
  transition: flex-basis 0.5s;
}
.move .content {
  min-width: 165px;
}

.horizontal-progress .icon {
  position: absolute;
  top: 34px;

  width: 100%;
  display: flex;
}
.horizontal-progress .iconSpace {
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: 26.35%;
  transition: flex-basis 0.5s;
}
.horizontal-progress .icon i {
  font-size: 35px;
  line-height: 0;
  color: white;
}

.horizontal-progress .all-bar {
  color: #151515;
  display: grid;
  grid-template-columns: 11fr 9fr 7fr 5fr;
  grid-gap: 3px;
}

.horizontal-progress .all-bar > div {
  text-align: center;
  padding: 20px 0px 6px 0px;
  border-radius: 5px;
  font-size: 18px;
}
.horizontal-progress .all-bar > div:first-child {
  background-color: #fc6f56;
}
.horizontal-progress .all-bar > div:nth-child(2) {
  background-color: #ffbf00;
}
.horizontal-progress .all-bar > div:nth-child(3) {
  background-color: #1cacca;
}
.horizontal-progress .all-bar > div:last-child {
  background-color: #8fd832;
}

.horizontal-progress .describe {
  color: #1f1f1f;
  margin-top: 20px;
}

.horizontal-progress .describe h3 {
  font-weight: 700;
  margin-bottom: 10px;
  font-size: 24px;
  color: #2b2b2b;
}
.horizontal-progress .describe p {
  font-size: 16px;
  color: #353535;
}
.horizontal-progress .describe > div:first-child .color {
  color: #fc6f56;
}
.horizontal-progress .describe > div:nth-child(2) .color {
  color: #feca30;
}
.horizontal-progress .describe > div:nth-child(3) .color {
  color: #1cacca;
}
.horizontal-progress .describe > div:last-child .color {
  color: #8bbd4b;
}

/* Fixing */
small.errors {
  display: block;
  color: #fff;
}

.navbar-nav ul li {
  margin-right: 20px;
}
